import Web3  from 'web3';
import { useRouter } from 'next/router';

import abi from '../../dutch-auction/src/build/contracts/DutchAuction.json';
const contractAddress = '0xBAa3cd455C996328A7366d5348F8775Eef9FBBB9';

export const checkConnectionMetaMask = async () => {
    const web3Metamask = new Web3(window.ethereum);
    const accounts = await web3Metamask.eth.getAccounts();
    console.log('Accounts:', accounts);
    return accounts;
};

export const getAuctionContract = () => {
    const web3 = new Web3(new Web3.providers.HttpProvider('http://localhost:7545'));
    const auctionContract = new web3.eth.Contract(abi.abi, contractAddress);
    return { auctionContract, web3 };
}
